document.addEventListener('DOMContentLoaded', function() {
  const themeToggle = document.getElementById('theme-toggle');
  const body = document.body;

  // Vérifiez le thème actuel au chargement de la page
  if (localStorage.getItem('theme') === 'dark-mode') {
    body.classList.add('dark-mode');
  } else {
    body.classList.add('light-mode');
  }

  // Ajoutez un écouteur d'événements pour basculer entre les thèmes
  themeToggle.addEventListener('click', () => {
    body.classList.toggle('dark-mode');
    body.classList.toggle('light-mode');

    // Enregistrez le thème actuel dans le stockage local
    if (body.classList.contains('dark-mode')) {
      localStorage.setItem('theme', 'dark-mode');
    } else {
      localStorage.setItem('theme', 'light-mode');
    }
  });
});
